Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1825)
+++ palm/trunk/SOURCE/header.f90	(revision 1826)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-!
+! Moved radiation model header output to the respective module.
+! Moved canopy model header output to the respective module.
 !
 ! Former revisions:
@@ -289,9 +290,5 @@
 
     USE plant_canopy_model_mod,                                                &
-        ONLY:  alpha_lad, beta_lad, calc_beta_lad_profile, canopy_drag_coeff,  &
-               canopy_mode, cthf, lad, lad_surface, lad_vertical_gradient,     &
-               lad_vertical_gradient_level, lad_vertical_gradient_level_ind,   &
-               lai_beta, leaf_scalar_exch_coeff, leaf_surface_conc, pch_index, &
-               plant_canopy
+        ONLY:  pcm_header, plant_canopy
 
     USE pmc_handle_communicator,                                               &
@@ -302,7 +299,5 @@
 
     USE radiation_model_mod,                                                   &
-        ONLY:  albedo, albedo_type, albedo_type_name, constant_albedo,         &
-               day_init, dt_radiation, lambda, lw_radiation, net_radiation,    &
-               radiation, radiation_scheme, sw_radiation, time_utc_init
+        ONLY:  radiation, radiation_header
     
     USE spectrum,                                                              &
@@ -339,11 +334,9 @@
     CHARACTER (LEN=70) ::  run_classification  !<
     
-    CHARACTER (LEN=85) ::  roben               !<
-    CHARACTER (LEN=85) ::  runten              !<
+    CHARACTER (LEN=85) ::  r_upper             !<
+    CHARACTER (LEN=85) ::  r_lower             !<
     
     CHARACTER (LEN=86) ::  coordinates         !<
     CHARACTER (LEN=86) ::  gradients           !<
-    CHARACTER (LEN=86) ::  leaf_area_density   !<
-    CHARACTER (LEN=86) ::  roots               !<
     CHARACTER (LEN=86) ::  slices              !<
     CHARACTER (LEN=86) ::  temperatures        !<
@@ -383,5 +376,5 @@
     INTEGER(iwp) ::  npe_total      !<
     
-    REAL(wp) ::  canopy_height                    !< canopy height (in m)
+
     REAL(wp) ::  cpuseconds_per_simulated_second  !<
     REAL(wp) ::  lower_left_coord_x               !< x-coordinate of nest domain
@@ -903,169 +896,78 @@
     ENDIF
 
-    IF ( plant_canopy )  THEN
-    
-       canopy_height = pch_index * dz
-
-       WRITE ( io, 280 )  canopy_mode, canopy_height, pch_index,               &
-                          canopy_drag_coeff
-       IF ( passive_scalar )  THEN
-          WRITE ( io, 281 )  leaf_scalar_exch_coeff,                           &
-                             leaf_surface_conc
-       ENDIF
-
-!
-!--    Heat flux at the top of vegetation
-       WRITE ( io, 282 )  cthf
-
-!
-!--    Leaf area density profile, calculated either from given vertical 
-!--    gradients or from beta probability density function.
-       IF (  .NOT.  calc_beta_lad_profile )  THEN
-
-!--       Building output strings, starting with surface value
-          WRITE ( leaf_area_density, '(F7.4)' )  lad_surface
-          gradients = '------'
-          slices = '     0'
-          coordinates = '   0.0'
-          i = 1
-          DO  WHILE ( i < 11  .AND.  lad_vertical_gradient_level_ind(i) /= -9999 )
-
-             WRITE (coor_chr,'(F7.2)')  lad(lad_vertical_gradient_level_ind(i))
-             leaf_area_density = TRIM( leaf_area_density ) // ' ' // TRIM( coor_chr )
- 
-             WRITE (coor_chr,'(F7.2)')  lad_vertical_gradient(i)
-             gradients = TRIM( gradients ) // ' ' // TRIM( coor_chr )
-
-             WRITE (coor_chr,'(I7)')  lad_vertical_gradient_level_ind(i)
-             slices = TRIM( slices ) // ' ' // TRIM( coor_chr )
-
-             WRITE (coor_chr,'(F7.1)')  lad_vertical_gradient_level(i)
-             coordinates = TRIM( coordinates ) // ' '  // TRIM( coor_chr )
-
-             i = i + 1
-          ENDDO
-
-          WRITE ( io, 283 )  TRIM( coordinates ), TRIM( leaf_area_density ),              &
-                             TRIM( gradients ), TRIM( slices )
-
-       ELSE
-       
-          WRITE ( leaf_area_density, '(F7.4)' )  lad_surface
-          coordinates = '   0.0'
-          
-          DO  k = 1, pch_index
-
-             WRITE (coor_chr,'(F7.2)')  lad(k)
-             leaf_area_density = TRIM( leaf_area_density ) // ' ' // TRIM( coor_chr )
- 
-             WRITE (coor_chr,'(F7.1)')  zu(k)
-             coordinates = TRIM( coordinates ) // ' '  // TRIM( coor_chr )
-
-          ENDDO       
-
-          WRITE ( io, 284 ) TRIM( coordinates ), TRIM( leaf_area_density ), alpha_lad,    &
-                            beta_lad, lai_beta
-
-       ENDIF  
-
-    ENDIF
+    IF ( plant_canopy )  CALL pcm_header ( io )
 
     IF ( land_surface )  CALL lsm_header ( io )
 
-    IF ( radiation )  THEN
-!
-!--    Write radiation model header
-       WRITE( io, 444 )
-
-       IF ( radiation_scheme == "constant" )  THEN
-          WRITE( io, 445 ) net_radiation
-       ELSEIF ( radiation_scheme == "clear-sky" )  THEN
-          WRITE( io, 446 )
-       ELSEIF ( radiation_scheme == "rrtmg" )  THEN
-          WRITE( io, 447 )
-          IF ( .NOT. lw_radiation )  WRITE( io, 458 )
-          IF ( .NOT. sw_radiation )  WRITE( io, 459 )
-       ENDIF
-
-       IF ( albedo_type == 0 )  THEN
-          WRITE( io, 448 ) albedo
-       ELSE
-          WRITE( io, 456 ) TRIM( albedo_type_name(albedo_type) )
-       ENDIF
-       IF ( constant_albedo )  THEN
-          WRITE( io, 457 )
-       ENDIF
-       WRITE( io, 449 ) dt_radiation
-    ENDIF
-
+    IF ( radiation )  CALL radiation_header ( io )
 
 !
 !-- Boundary conditions
     IF ( ibc_p_b == 0 )  THEN
-       runten = 'p(0)     = 0      |'
+       r_lower = 'p(0)     = 0      |'
     ELSEIF ( ibc_p_b == 1 )  THEN
-       runten = 'p(0)     = p(1)   |'
+       r_lower = 'p(0)     = p(1)   |'
     ENDIF
     IF ( ibc_p_t == 0 )  THEN
-       roben  = 'p(nzt+1) = 0      |'
+       r_upper  = 'p(nzt+1) = 0      |'
     ELSE
-       roben  = 'p(nzt+1) = p(nzt) |'
+       r_upper  = 'p(nzt+1) = p(nzt) |'
     ENDIF
 
     IF ( ibc_uv_b == 0 )  THEN
-       runten = TRIM( runten ) // ' uv(0)     = -uv(1)                |'
+       r_lower = TRIM( r_lower ) // ' uv(0)     = -uv(1)                |'
     ELSE
-       runten = TRIM( runten ) // ' uv(0)     = uv(1)                 |'
+       r_lower = TRIM( r_lower ) // ' uv(0)     = uv(1)                 |'
     ENDIF
     IF ( TRIM( bc_uv_t ) == 'dirichlet_0' )  THEN
-       roben  = TRIM( roben  ) // ' uv(nzt+1) = 0                     |'
+       r_upper  = TRIM( r_upper  ) // ' uv(nzt+1) = 0                     |'
     ELSEIF ( ibc_uv_t == 0 )  THEN
-       roben  = TRIM( roben  ) // ' uv(nzt+1) = ug(nzt+1), vg(nzt+1)  |'
+       r_upper  = TRIM( r_upper  ) // ' uv(nzt+1) = ug(nzt+1), vg(nzt+1)  |'
     ELSE
-       roben  = TRIM( roben  ) // ' uv(nzt+1) = uv(nzt)               |'
+       r_upper  = TRIM( r_upper  ) // ' uv(nzt+1) = uv(nzt)               |'
     ENDIF
 
     IF ( ibc_pt_b == 0 )  THEN
        IF ( land_surface )  THEN
-          runten = TRIM( runten ) // ' pt(0)     = from soil model'
-       ELSE
-          runten = TRIM( runten ) // ' pt(0)     = pt_surface'
+          r_lower = TRIM( r_lower ) // ' pt(0)     = from soil model'
+       ELSE
+          r_lower = TRIM( r_lower ) // ' pt(0)     = pt_surface'
        ENDIF
     ELSEIF ( ibc_pt_b == 1 )  THEN
-       runten = TRIM( runten ) // ' pt(0)     = pt(1)'
+       r_lower = TRIM( r_lower ) // ' pt(0)     = pt(1)'
     ELSEIF ( ibc_pt_b == 2 )  THEN
-       runten = TRIM( runten ) // ' pt(0)     = from coupled model'
+       r_lower = TRIM( r_lower ) // ' pt(0)     = from coupled model'
     ENDIF
     IF ( ibc_pt_t == 0 )  THEN
-       roben  = TRIM( roben  ) // ' pt(nzt+1) = pt_top'
+       r_upper  = TRIM( r_upper  ) // ' pt(nzt+1) = pt_top'
     ELSEIF( ibc_pt_t == 1 )  THEN
-       roben  = TRIM( roben  ) // ' pt(nzt+1) = pt(nzt)'
+       r_upper  = TRIM( r_upper  ) // ' pt(nzt+1) = pt(nzt)'
     ELSEIF( ibc_pt_t == 2 )  THEN
-       roben  = TRIM( roben  ) // ' pt(nzt+1) = pt(nzt) + dpt/dz_ini'
-
-    ENDIF
-
-    WRITE ( io, 300 )  runten, roben
+       r_upper  = TRIM( r_upper  ) // ' pt(nzt+1) = pt(nzt) + dpt/dz_ini'
+
+    ENDIF
+
+    WRITE ( io, 300 )  r_lower, r_upper
 
     IF ( .NOT. constant_diffusion )  THEN
        IF ( ibc_e_b == 1 )  THEN
-          runten = 'e(0)     = e(1)'
-       ELSE
-          runten = 'e(0)     = e(1) = (u*/0.1)**2'
-       ENDIF
-       roben = 'e(nzt+1) = e(nzt) = e(nzt-1)'
-
-       WRITE ( io, 301 )  'e', runten, roben       
+          r_lower = 'e(0)     = e(1)'
+       ELSE
+          r_lower = 'e(0)     = e(1) = (u*/0.1)**2'
+       ENDIF
+       r_upper = 'e(nzt+1) = e(nzt) = e(nzt-1)'
+
+       WRITE ( io, 301 )  'e', r_lower, r_upper       
 
     ENDIF
 
     IF ( ocean )  THEN
-       runten = 'sa(0)    = sa(1)'
+       r_lower = 'sa(0)    = sa(1)'
        IF ( ibc_sa_t == 0 )  THEN
-          roben =  'sa(nzt+1) = sa_surface'
-       ELSE
-          roben =  'sa(nzt+1) = sa(nzt)'
-       ENDIF
-       WRITE ( io, 301 ) 'sa', runten, roben
+          r_upper =  'sa(nzt+1) = sa_surface'
+       ELSE
+          r_upper =  'sa(nzt+1) = sa(nzt)'
+       ENDIF
+       WRITE ( io, 301 ) 'sa', r_lower, r_upper
     ENDIF
 
@@ -1073,32 +975,32 @@
        IF ( ibc_q_b == 0 )  THEN
           IF ( land_surface )  THEN
-             runten = 'q(0)     = from soil model'
+             r_lower = 'q(0)     = from soil model'
           ELSE
-             runten = 'q(0)     = q_surface'
-          ENDIF
-
-       ELSE
-          runten = 'q(0)     = q(1)'
+             r_lower = 'q(0)     = q_surface'
+          ENDIF
+
+       ELSE
+          r_lower = 'q(0)     = q(1)'
        ENDIF
        IF ( ibc_q_t == 0 )  THEN
-          roben =  'q(nzt)   = q_top'
-       ELSE
-          roben =  'q(nzt)   = q(nzt-1) + dq/dz'
-       ENDIF
-       WRITE ( io, 301 ) 'q', runten, roben
+          r_upper =  'q(nzt)   = q_top'
+       ELSE
+          r_upper =  'q(nzt)   = q(nzt-1) + dq/dz'
+       ENDIF
+       WRITE ( io, 301 ) 'q', r_lower, r_upper
     ENDIF
 
     IF ( passive_scalar )  THEN
        IF ( ibc_q_b == 0 )  THEN
-          runten = 's(0)     = s_surface'
-       ELSE
-          runten = 's(0)     = s(1)'
+          r_lower = 's(0)     = s_surface'
+       ELSE
+          r_lower = 's(0)     = s(1)'
        ENDIF
        IF ( ibc_q_t == 0 )  THEN
-          roben =  's(nzt)   = s_top'
-       ELSE
-          roben =  's(nzt)   = s(nzt-1) + ds/dz'
-       ENDIF
-       WRITE ( io, 301 ) 's', runten, roben
+          r_upper =  's(nzt)   = s_top'
+       ELSE
+          r_upper =  's(nzt)   = s(nzt-1) + ds/dz'
+       ENDIF
+       WRITE ( io, 301 ) 's', r_lower, r_upper
     ENDIF
 
@@ -1747,7 +1649,4 @@
 !
 !-- Geostrophic parameters
-    IF ( radiation .AND. radiation_scheme /= 'constant' )  THEN
-       WRITE ( io, 417 )  lambda
-    ENDIF
     WRITE ( io, 410 )  phi, omega, f, fs
 
@@ -1755,7 +1654,4 @@
 !-- Other quantities
     WRITE ( io, 411 )  g
-    IF ( radiation .AND. radiation_scheme /= 'constant' )  THEN
-       WRITE ( io, 418 )  day_init, time_utc_init
-    ENDIF
 
     WRITE ( io, 412 )  TRIM( reference_state )
@@ -2060,24 +1956,4 @@
 279 FORMAT (' Topography grid definition convention:'/ &
             ' cell center (scalar grid points)' /)
-280 FORMAT (//' Vegetation canopy (drag) model:'/ &
-              ' ------------------------------'// &
-              ' Canopy mode: ', A / &
-              ' Canopy height: ',F6.2,'m (',I4,' grid points)' / &
-              ' Leaf drag coefficient: ',F6.2 /)
-281 FORMAT (/ ' Scalar exchange coefficient: ',F6.2 / &
-              ' Scalar concentration at leaf surfaces in kg/m**3: ',F6.2 /)
-282 FORMAT (' Predefined constant heatflux at the top of the vegetation: ',F6.2,' K m/s')
-283 FORMAT (/ ' Characteristic levels of the leaf area density:'// &
-              ' Height:              ',A,'  m'/ &
-              ' Leaf area density:   ',A,'  m**2/m**3'/ &
-              ' Gradient:            ',A,'  m**2/m**4'/ &
-              ' Gridpoint:           ',A)
-284 FORMAT (//' Characteristic levels of the leaf area density and coefficients:'// &
-              ' Height:              ',A,'  m'/ &
-              ' Leaf area density:   ',A,'  m**2/m**3'/ &
-              ' Coefficient alpha: ',F6.2 / &
-              ' Coefficient beta: ',F6.2 / &
-              ' Leaf area index: ',F6.2,'  m**2/m**2' /)
-               
 300 FORMAT (//' Boundary conditions:'/ &
              ' -------------------'// &
@@ -2300,13 +2176,4 @@
                        '[0,1000] cm**2/s**3')
 437 FORMAT ('    Droplet collision is switched off')
-444 FORMAT (//' Radiation model information:'/                                 &
-              ' ----------------------------'/)
-445 FORMAT (' --> Using constant net radiation: net_radiation = ', F6.2, '  W/m**2')
-446 FORMAT (' --> Simple radiation scheme for clear sky is used (no clouds,',  &
-                   ' default)')
-447 FORMAT (' --> RRTMG scheme is used')
-448 FORMAT (/'     User-specific surface albedo: albedo =', F6.3)
-449 FORMAT  ('     Timestep: dt_radiation = ', F5.2, '  s')
-
 450 FORMAT (//' LES / Turbulence quantities:'/ &
               ' ---------------------------'/)
@@ -2316,8 +2183,4 @@
 454 FORMAT ('    TKE is not allowed to fall below ',E9.2,' (m/s)**2')
 455 FORMAT ('    initial TKE is prescribed as ',E9.2,' (m/s)**2')
-456 FORMAT (/'    Albedo is set for land surface type: ', A)
-457 FORMAT (/'    --> Albedo is fixed during the run')
-458 FORMAT (/'    --> Longwave radiation is disabled')
-459 FORMAT (/'    --> Shortwave radiation is disabled.')
 470 FORMAT (//' Actions during the simulation:'/ &
               ' -----------------------------'/)
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1825)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1826)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! ------------------
-!
+! Renamed radiation calls.
+! Renamed canopy model calls.
 ! 
 ! Former revisions:
@@ -288,8 +289,8 @@
     
     USE plant_canopy_model_mod,                                                &
-        ONLY:  init_plant_canopy, plant_canopy
+        ONLY:  pcm_init, plant_canopy
 
     USE radiation_model_mod,                                                   &
-        ONLY:  init_radiation, radiation
+        ONLY:  radiation_init, radiation
     
     USE random_function_mod 
@@ -1631,5 +1632,7 @@
 !
 !-- If required, initialize quantities needed for the plant canopy model
-    IF ( plant_canopy )  CALL init_plant_canopy
+    CALL location_message( 'initializing plant canopy model', .FALSE. )
+    IF ( plant_canopy )  CALL pcm_init
+    CALL location_message( 'finished', .TRUE. )
 
 !
@@ -1676,5 +1679,5 @@
     IF ( radiation )  THEN
        CALL location_message( 'initializing radiation model', .FALSE. )
-       CALL init_radiation
+       CALL radiation_init
        CALL location_message( 'finished', .TRUE. )
     ENDIF
Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 1825)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 1826)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Cleanup after modularization
 ! 
 ! Former revisions:
@@ -532,19 +532,8 @@
     PUBLIC lsm_check_data_output, lsm_check_data_output_pr,                    &
            lsm_check_parameters, lsm_energy_balance, lsm_header, lsm_init,     &
-           lsm_init_arrays, lsm_parin, lsm_soil_model 
+           lsm_init_arrays, lsm_parin, lsm_soil_model, lsm_swap_timelevel 
 !
 !-- Public parameters, constants and initial values
-    PUBLIC alpha_vangenuchten, c_surface, canopy_resistance_coefficient,       &
-           conserve_water_content, field_capacity,                             &
-           f_shortwave_incoming, hydraulic_conductivity,                       &
-           lambda_surface_stable, lambda_surface_unstable,                     &
-           land_surface, leaf_area_index,                                      &
-           lsm_swap_timelevel, l_vangenuchten,                                 &
-           min_canopy_resistance, min_soil_resistance, n_vangenuchten,         &
-           pave_heat_capacity, pave_depth, pave_heat_conductivity,             &
-           residual_moisture, rho_cp, rho_lv, root_fraction,                   &
-           saturation_moisture, skip_time_do_lsm, soil_moisture,               &
-           soil_temperature, soil_type, soil_type_name, vegetation_coverage,   &
-           veg_type, veg_type_name, wilting_point, z0_eb, z0h_eb, z0q_eb
+    PUBLIC land_surface, skip_time_do_lsm
 
 !
@@ -644,7 +633,6 @@
              unit = 'K'   
              
-          CASE ( 'c_liq*', 'c_soil*', 'c_veg*', 'ghf_eb*',      &
-                 'm_liq_eb*', 'qsws_eb*',      &
-                 'qsws_liq_eb*', 'qsws_soil_eb*', 'qsws_veg_eb*', &
+          CASE ( 'lai*', 'c_liq*', 'c_soil*', 'c_veg*', 'ghf_eb*', 'm_liq_eb*',&
+                 'qsws_eb*', 'qsws_liq_eb*', 'qsws_soil_eb*', 'qsws_veg_eb*',  &
                  'r_a*', 'r_s*', 'shf_eb*' )
              IF ( k == 0  .OR.  data_output(i)(ilen-2:ilen) /= '_xy' )  THEN
@@ -654,5 +642,9 @@
                 CALL message( 'check_parameters', 'PA0111', 1, 2, 0, 6, 0 )
              ENDIF
-
+             IF ( TRIM( var ) == 'lai*'  .AND.  .NOT.  land_surface )  THEN
+                message_string = 'output of "' // TRIM( var ) // '" requi' //  &
+                                 'res land_surface = .TRUE.'
+                CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
+             ENDIF
              IF ( TRIM( var ) == 'c_liq*'  .AND.  .NOT.  land_surface )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
@@ -716,4 +708,5 @@
              ENDIF
 
+             IF ( TRIM( var ) == 'lai*'   )  unit = 'none' 
              IF ( TRIM( var ) == 'c_liq*' )  unit = 'none'
              IF ( TRIM( var ) == 'c_soil*')  unit = 'none'
@@ -1564,8 +1557,9 @@
 1   FORMAT (//' Land surface model information:'/                              &
               ' ------------------------------'/)
-2   FORMAT (' --> Soil bottom is closed (water content is conserved, default)')
-3   FORMAT (' --> Soil bottom is open (water content is not conserved)')         
-4   FORMAT (' --> Land surface type  : ',A,/                                   &
-            ' --> Soil porosity type : ',A)
+2   FORMAT ('    --> Soil bottom is closed (water content is conserved',       &
+            ', default)')
+3   FORMAT ('    --> Soil bottom is open (water content is not conserved)')         
+4   FORMAT ('    --> Land surface type  : ',A,/                                &
+            '    --> Soil porosity type : ',A)
 5   FORMAT (/'    Initial soil temperature and moisture profile:'//            &
             '       Height:        ',A,'  m'/                                  &
@@ -1573,7 +1567,5 @@
             '       Moisture:      ',A,'  m**3/m**3'/                          &
             '       Root fraction: ',A,'  '/                                   &
-            '       Gridpoint:     ',A)
-
-
+            '       Grid point:    ',A)
 
     END SUBROUTINE lsm_header
@@ -1627,5 +1619,5 @@
 
        IF ( humidity )  THEN
-          qsws_eb = rho_l * l_v * qsws
+          qsws_eb = rho_lv * qsws
        ELSE
           qsws_eb = 0.0_wp
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1825)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1826)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-!
+! Reading of &radiation_par moved to radiation_model_mod.
+! Reading of &canopy_par moved to plant_canopy_model_mod.
 ! 
 ! Former revisions:
@@ -30,5 +31,5 @@
 !
 ! 1817 2016-04-06 15:44:20Z maronga
-! Reading of &lsmpar moved to land_surface_model_mod.
+! Reading of &lsm_par moved to land_surface_model_mod.
 ! 
 ! 1788 2016-03-10 11:01:04Z maronga
@@ -152,19 +153,4 @@
                vertical_particle_advection, write_particle_statistics
 
-    USE plant_canopy_model_mod,                                                &
-        ONLY:  alpha_lad, beta_lad, calc_beta_lad_profile, canopy_drag_coeff,  &
-               canopy_mode, cthf, lad_surface,                                 &
-               lad_vertical_gradient, lad_vertical_gradient_level, lai_beta,   &
-               leaf_scalar_exch_coeff, leaf_surface_conc, pch_index,           &
-               plant_canopy
-
-    USE radiation_model_mod,                                                   &
-        ONLY: albedo, albedo_type, albedo_lw_dif, albedo_lw_dir, albedo_sw_dif,&
-              albedo_sw_dir, constant_albedo, day_init, dt_radiation,          &
-              emissivity, lambda, lw_radiation, net_radiation, radiation,      &
-              radiation_scheme, skip_time_do_radiation, sw_radiation,          &
-              time_utc_init, unscheduled_radiation_calls
-                
-
     USE spectrum,                                                              &
         ONLY:  comp_spectra_level, data_output_sp, plot_spectra_level,         &
@@ -175,12 +161,5 @@
     CHARACTER (LEN=80) ::  line  !<
 
-    NAMELIST /canopy_par/         alpha_lad, beta_lad, canopy_drag_coeff,      &
-                                  canopy_mode, cthf,                           &
-                                  lad_surface,                                 & 
-                                  lad_vertical_gradient,                       &
-                                  lad_vertical_gradient_level,                 &
-                                  lai_beta,                                    &
-                                  leaf_scalar_exch_coeff,                      &
-                                  leaf_surface_conc, pch_index
+
 
     NAMELIST /dvrp_graphics_par/  clip_dvrp_l, clip_dvrp_n, clip_dvrp_r,       &
@@ -220,12 +199,4 @@
                                   write_particle_statistics
 
-    NAMELIST /radiation_par/      albedo, albedo_type, albedo_lw_dir,          &
-                                  albedo_lw_dif, albedo_sw_dir, albedo_sw_dif, &
-                                  constant_albedo, day_init, dt_radiation,     &
-                                  lambda, lw_radiation, net_radiation,         &
-                                  radiation_scheme, skip_time_do_radiation,    &
-                                  sw_radiation, time_utc_init,                 &
-                                  unscheduled_radiation_calls
-
     NAMELIST /spectra_par/        averaging_interval_sp, comp_spectra_level,   &
                                   data_output_sp, dt_dosp, plot_spectra_level, &
@@ -237,29 +208,4 @@
 !-- file at this line. Do the same for each optionally used package.
     line = ' '
-
-!
-!-- Try to find canopy package
-    REWIND ( 11 )
-    line = ' '
-    DO   WHILE ( INDEX( line, '&canopy_par' ) == 0 )
-       READ ( 11, '(A)', END=10 )  line
-    ENDDO
-    BACKSPACE ( 11 )
-
-!
-!-- Read user-defined namelist
-    READ ( 11, canopy_par )
-
-!
-!-- Set flag that indicates that canopy model is switched on
-    plant_canopy = .TRUE.
-
-!
-!-- Set flag that indicates that the lad-profile shall be calculated by using
-!-- a beta probability density function
-    IF ( alpha_lad /= 9999999.9_wp  .AND.  beta_lad /= 9999999.9_wp )          &
-       calc_beta_lad_profile = .TRUE.
-
- 10 CONTINUE
 
 
@@ -317,22 +263,4 @@
 
 
-!
-!-- Try to find radiation package
-    REWIND ( 11 )
-    line = ' '
-    DO   WHILE ( INDEX( line, '&radiation_par' ) == 0 )
-       READ ( 11, '(A)', END=51 )  line
-    ENDDO
-    BACKSPACE ( 11 )
-
-!
-!-- Read user-defined namelist
-    READ ( 11, radiation_par )
-
-!
-!-- Set flag that indicates that the radiation scheme is switched on
-    radiation = .TRUE.
-
- 51 CONTINUE
 
 
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1825)
+++ palm/trunk/SOURCE/parin.f90	(revision 1826)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Added call to radiation model for reading of &radiation_par.
+! Added call to plant canopy model for reading of &canopy_par.
 ! 
 ! Former revisions:
@@ -26,5 +27,5 @@
 !
 ! 1817 2016-04-06 15:44:20Z maronga
-! Added call to land surface model for reading of &lsmpar
+! Added call to land surface model for reading of &lsm_par
 ! 
 ! 1804 2016-04-05 16:30:18Z maronga
@@ -191,4 +192,7 @@
                vg
 
+    USE plant_canopy_model_mod,                                                &
+         ONLY: pcm_parin  
+ 
     USE cloud_parameters,                                                      &
         ONLY:  c_sedimentation, curvature_solution_effects,                    &
@@ -232,4 +236,7 @@
         ONLY :  batch_job
 
+     USE radiation_model_mod,                                                  &
+         ONLY: radiation_parin  
+        
     USE statistics,                                                            &
         ONLY:  hom, hom_sum, pr_palm, region, statistic_regions
@@ -458,8 +465,15 @@
           
 !
-!--       Check if land surface model is used and read &lsmpar if required
+!--       Check if land surface model is used and read &lsm_par if required
           CALL lsm_parin
-          
-          
+ 
+!
+!--       Check if radiation model is used and read &radiation_par if required
+          CALL radiation_parin
+ 
+ 
+!--       Check if plant canopy model is used and read &canopy_par if required
+          CALL pcm_parin
+ 
 !
 !--       Read control parameters for optionally used model software packages
